Bug 87629 - (NET TG3)crash kernel tg3
Summary: (NET TG3)crash kernel tg3
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-31 12:31 UTC by Heine Andersen
Modified: 2005-10-31 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-06 07:19:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TG3 crash kernel panic (32.40 KB, image/jpeg)
2003-04-03 18:05 UTC, Need Real Name
no flags Details

Description Heine Andersen 2003-03-31 12:31:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030128

Description of problem:
fter upgrading from kernel-smp-2.4.18-19.7.aragorn2.i686.rpm to
kernel-smp-2.4.18-27.8.0.i686.rpm my pe2650 has begun crashing again.
I don't have any debug info, but the server ran flawnes with the aragon driver,
for a mounth, but now it's crashed two times in 4 days using 2.4.18-27.8.0.i686.

I'm connecting a monitor, and hoping to se some debug info next time.

Version-Release number of selected component (if applicable):
2.4.18-27.8.0.i686

How reproducible:
Didn't try


Additional info:

Comment 1 Need Real Name 2003-04-03 18:03:14 UTC
Machine: Dell PE 2650
Kernel: 2.4.18-27
Compiler: gcc 2.96-110
NIC: Broadcom gigabit ethernet

This kernel does seem to be better than the previous ones, but doesnt 
completely resolve the problem. Under bursty traffic, the system either 
     (1) hangs, with console disabled (nothing appears the monitor, and  
         PE 2650's power recyle button doesnt work 
         or  
     (2) system hangs, but console is not disabled and power recyle button still
         works.
         or
     (3) There is a kernel panic (see attachment "TG3 crash kernel panic"

Comment 2 Need Real Name 2003-04-03 18:05:48 UTC
Created attachment 90873 [details]
TG3 crash kernel panic

Comment 3 Need Real Name 2003-04-17 17:12:51 UTC
Here is one more manifestation of the tg3 bug. 

The kernel does not crash, but the network interface does not work anymore. So 
I brought down the network interace (ifconfig eth0 down), then tried to bring 
it back up (ifconfig eth0 up), and I got this message.

    tg3: tg3_stop_block time out, ofs=4800 enable_bits=2

Comment 4 acount closed by user 2003-04-23 23:56:52 UTC
try the official_broadcomt driver :
ftp://Net_sys_anon:anonymous@ftp1.broadcom.com/bcm5700-6.0.2.tar.gz
until this problem goes away in tg3

Comment 5 acount closed by user 2003-04-26 20:08:19 UTC
I just have found a possible solution with tg3 :
to boot with kernel parameter acpi=off or acpi=oldboot

maybe it works but if the force is with you:

http://people.redhat.com/jgarzik/tg3/tg3-1.5
or you get it from a recent 2.4.20-rc

Comment 6 Arjan van de Ven 2003-04-26 20:13:01 UTC
Xose Vazquez: The RHL kernel does not include acpi, so acpi=off doesn't do anything

Comment 7 KELEMEN Péter 2003-06-04 13:05:32 UTC
We have many dual Xeon 2.6 GHz machines equipped with Broadcom cards
01:03.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701 Gigabit
Ethernet (rev 15)

The machines routinely hung hard with the tg3 driver (compiled with 2.96-112)
under heavy traffic, only power cycle helped.  We changed the driver to bcm5700
(compiled with 2.96-112) and the machines are happy.

Comment 8 David Miller 2004-03-06 07:19:14 UTC
No more 8.x updates, so this is unlikely to be fixed.



Note You need to log in before you can comment on or make changes to this bug.